## org.apache.lucene.index
Class IndexWriter.MaxFieldLength

    java.lang.Object
      org.apache.lucene.index.IndexWriter.MaxFieldLength

Enclosing class:
  IndexWriter

Deprecated. use `LimitTokenCountAnalyzer` instead.

    @Deprecated
    public static final class IndexWriter.MaxFieldLength

extends Object

Specifies maximum field length (in number of tokens/terms) in `IndexWriter` constructors. `IndexWriter.setMaxFieldLength(int)` overrides the value set by the constructor.

Field Summary
`static IndexWriter.MaxFieldLength` `LIMITED` Deprecated. Sets the maximum field length to `IndexWriter.DEFAULT_MAX_FIELD_LENGTH`
`static IndexWriter.MaxFieldLength` `UNLIMITED` Deprecated. Sets the maximum field length to `Integer.MAX_VALUE`.

Constructor Summary
`IndexWriter.MaxFieldLength(int limit)` Deprecated. Public constructor to allow users to specify the maximum field size limit.

Method Summary
`int` `getLimit()` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNLIMITED

    public static final IndexWriter.MaxFieldLength UNLIMITED

  Deprecated.
  Sets the maximum field length to `Integer.MAX_VALUE`.

### LIMITED

    public static final IndexWriter.MaxFieldLength LIMITED

  Deprecated.
  Sets the maximum field length to `IndexWriter.DEFAULT_MAX_FIELD_LENGTH`

Constructor Detail

### IndexWriter.MaxFieldLength

    public IndexWriter.MaxFieldLength(int limit)

  Deprecated.
  Public constructor to allow users to specify the maximum field size limit.

  Parameters:
    `limit` - The maximum field length

Method Detail

### getLimit

    public int getLimit()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`